<?php

namespace App\Framework\Http;

enum MimeType: string
{
    // Text
    case TEXT_PLAIN = 'text/plain';
    case TEXT_HTML = 'text/html';
    case TEXT_CSS = 'text/css';
    case TEXT_CSV = 'text/csv';
    case TEXT_JAVASCRIPT = 'text/javascript';

    // Application
    case APPLICATION_JSON = 'application/json';
    case APPLICATION_XML = 'application/xml';
    case APPLICATION_FORM = 'application/x-www-form-urlencoded';
    case APPLICATION_OCTET_STREAM = 'application/octet-stream';
    case APPLICATION_PDF = 'application/pdf';
    case APPLICATION_ZIP = 'application/zip';

    // Images
    case IMAGE_JPEG = 'image/jpeg';
    case IMAGE_PNG = 'image/png';
    case IMAGE_GIF = 'image/gif';
    case IMAGE_SVG = 'image/svg+xml';
    case IMAGE_WEBP = 'image/webp';

    // Audio
    case AUDIO_MPEG = 'audio/mpeg';
    case AUDIO_WAV = 'audio/wav';
    case AUDIO_OGG = 'audio/ogg';

    // Video
    case VIDEO_MP4 = 'video/mp4';
    case VIDEO_WEBM = 'video/webm';

    // Multipart
    case MULTIPART_FORM_DATA = 'multipart/form-data';

}
